2025-03-01  Morten Welinder <terra@gnome.org>

	* Release 1.12.59

2025-01-17  Morten Welinder  <terra@gnome.org>

	* src/cell-draw.c (cell_draw_simplify_attributes): Copy attributes
	before filtering.  Fixes #707.

2024-12-18  Morten Welinder  <terra@gnome.org>

	* src/colrow.c (colrow_set_visibility): Invalidate sheet's colrow
	position cache.  Fixes #712.

2024-04-29  b.s. <newbie-02 (at) gmx (dot) de>

	* src/numbers.h: add '~10_EXP' definitions,

2024-04-10  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (entry_to_float_with_format): With general
	format, use value_get_as_string to get shortest representation and
	don't truncate.

2024-04-03  Morten Welinder  <terra@gnome.org>

	* src/workbook.c (workbook_init): Fix double-gnm_float confusion.

2024-03-13  Morten Welinder  <terra@gnome.org>

	* src/cell.c (gnm_cell_get_text_for_editing): If the format family
	is unknown, render as general.

2024-02-11  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2024-02-11  Morten Welinder <terra@gnome.org>

	* Release 1.12.57

2024-02-11  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_range_set_expr_cb): Also redraw.  Fixes #755.

2023-12-05  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (xml_write_filter_field): Fix reversed sense
	on several fields.

	* src/xml-sax-read.c (xml_sax_filter_condition): Fix badly broken
	reading of auto-filters.

	* src/sheet-filter.c (gnm_filter_condition_new_bucket): Cap n,
	so crazy numbers don't cause trouble down the line.
	(gnm_filter_combo_apply): Fix problem with empty range; fix
	gnm_float/double mixing.

2023-11-16  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_set_action_feedback): New function to
	suppress toggle action signalling while we're updating the ui.

2023-11-02  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2023-11-02  Morten Welinder <terra@gnome.org>

	* Release 1.12.56

2023-09-24  Morten Welinder  <terra@gnome.org>

	* src/dependent.h (GnmDependentClass): Add q_array_context since
	certain graph deps are computed in array context.

	* src/dependent.c (dependent_link): Observe q_array_context.
	(link_unlink_expr_dep): Don't clear array context for operators.

2023-02-02  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2023-02-02  Morten Welinder <terra@gnome.org>

	* Release 1.12.55

2023-01-19  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2023-01-19  Morten Welinder <terra@gnome.org>

	* Release 1.12.54

2023-01-15  Morten Welinder  <terra@gnome.org>

	* src/sheet-object.c (sheet_objects_clear): Freeze the object
	views, just in case there are a lot of objects to clear.

	* src/gnm-pane.c (cb_pane_init_objs): Freeze panes while creating
	views -- there might be a lot.

2022-12-01  Morten Welinder  <terra@gnome.org>

	* src/value.c (value_get_as_gstring): When rendering shortest,
	round halfways away-from-zero, not to-even.

	* src/complex.c (gnm_complex_to_string): Round
	away-away-from-zero.

2022-10-29  Morten Welinder  <terra@gnome.org>

	* src/sheet-conditions.c (update_group): Fix problem during sheet
	finalize.

	* src/sheet.c (sheet_destroy_contents): Set cell_hash to NULL
	after we free it for easier debug.

2022-10-08  Morten Welinder  <terra@gnome.org>

	* src/libgnumeric.c (gnm_pre_parse_init): Use basename of argv[0],
	except when help is requested.  See #677 for details.

2022-09-17  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2022-09-17  Morten Welinder <terra@gnome.org>

	* Release 1.12.53

2022-08-29  Morten Welinder  <terra@gnome.org>

	* src/value.c (value_new_float): Avoid -0.

2022-08-24  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnm_keyed_dialog): Simplify signal handling.
	Fixes #657, I hope.

2022-08-17  Morten Welinder  <terra@gnome.org>

	* src/gutils.c (gnm_utf8_strto): Handle near-denormal case.

2022-06-06  Morten Welinder  <terra@gnome.org>

	* src/complex.c (gnm_complex_to_string): Use go_dtoa as building
	block.  Ensure uppercase "E" in exponential forms.

2022-05-05  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_cell_set_array_expr): Fix inter-process
	array non-corner element problem.  [Part of #634]

2022-04-18  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2022-04-18  Morten Welinder <terra@gnome.org>

	* Release 1.12.52

2022-04-03  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (cb_max_cell_width): Be less aggressive in column
	widening.  #621.

2022-03-16  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (gnm_sheet_constructed): When rescaling row height
	due to font size, also increase column width.

2022-03-06  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (xml_write_colrow_info): Fix last fix.  I
	accidentally made the run-length encoding break off too early.

2022-03-02  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (xml_write_colrow_info): Fix problem writing
	identical columns separated by pristine default columns.  Fixes
	#619.

2022-02-26  Morten Welinder  <terra@gnome.org>

	* src/expr-name.c (expr_name_set_expr): Plug leak.

2022-01-21  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c: In vertical toolbar mode, show a combo
	instead of individual horizontal alignment entries.

2022-01-20  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2022-01-20  Morten Welinder <terra@gnome.org>

	* Release 1.12.51

2022-01-19  Morten Welinder  <terra@gnome.org>

	* src/mstyle.c (gnm_style_linked_sheet_changed): Add missing ref.
	Fixes #597.
	(gnm_style_merge): Mark elements from overlay as set in base.

2022-01-09  Morten Welinder  <terra@gnome.org>

	* src/rendered-value.c (gnm_rendered_value_new): Work around Pango
	bug 653, see Gnumeric bug 607.  Pango is fixing the issue, but we
	need to deal with the situation.  In the long run, something based
	on pango_attr_list_change should probably be used.

2021-12-26  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_cell_set_array_expr): Take position as
	argument; fix non-cell case.
	(xml_sax_cell_content): Fix crash on inter-gnumeric array formula
	paste.  [#606]

2021-10-04  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (link_unlink_funcall): Ignore excess arguments.

2021-09-25  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_vector_load_values): make sure that the
	GO_DATA_HAS_VALUE flag is always set when needed. Fixes #595.

2021-09-18  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_vector_get_value): fix error bars when data
	are in a multi-column array. [#594]

2021-06-10  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2021-06-10  Morten Welinder <terra@gnome.org>

	* Release 1.12.50

2021-05-05  Morten Welinder  <terra@gnome.org>

	* src/workbook.c (workbook_cells): Avoid undefined behaviour.

2021-05-04  Morten Welinder  <terra@gnome.org>

	* src/rangefunc.c (gnm_range_adtest): Avoid integer overflow.

2021-03-29  Morten Welinder  <terra@gnome.org>

	* src/hlink.h (GNM_HLINK_EXTERNAL_TYPE): Add checker macro.

2021-03-19  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_sort_undo): Paste cell comments too.

2021-03-14  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2021-03-14  Morten Welinder <terra@gnome.org>

	* Release 1.12.49

2021-02-22  Jean Brefort  <jean.brefort@normalesup.org>

	reviewed by: <delete if not using a buddy>

	* src/sheet-object-graph.c (sog_update_graph_size),
	(gnm_sog_bounds_changed):

2021-02-21  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-graph.c (gnm_sog_bounds_changed): don't take anchors
	into account when updating the graph inside a graph sheet. [#565]

2021-02-14  Morten Welinder  <terra@gnome.org>

	* src/cell.c (gnm_cell_get_effective_style): New function to
	resolve conditional styling.

	* src/rendered-value.c (gnm_rendered_value_new): Use
	gnm_cell_get_effective_style instead of doing it by hand.


2021-01-30  Morten Welinder  <terra@gnome.org>

	* autogen.sh: check that YELP_HELP_INIT has been expanded.

2021-01-28  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-graph.c (gnm_sog_bounds_changed): Make sure to
	tell the graph about the new size.
	(gnm_sog_set_sheet): Tell the graph object about the initial size.
	(sheet_object_graph_set_gog): Ditto.

	* src/number-match.c (format_match_decimal_number_with_locale): If
	the thousands separator is a space character, allow plain space
	also.

2021-01-19  Morten Welinder  <terra@gnome.org>

	* src/mstyle.c (gnm_style_linked_sheet_changed): Make sure to tell
	the GnmStyleConditions what is going on.  Fixes #547, item 3.

2020-12-19  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_range_unrender): New function.

	* src/sheet-conditions.c (csgd_changed): Force rerendering of
	cells.
	(collect_group_deps_rr): Improve the deduced dependency range for
	semi-absolute references.

2020-12-18  Morten Welinder  <terra@gnome.org>

	* src/sheet-conditions.c (update_group): Fix eval pos -- it's
	different for each range, even if we hang everything on the same
	dep.  Don't use a set for dependency -- that only works right in
	array mode -- but use a call to SUM instead.

2020-10-17  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-graph.c (gnm_sog_bounds_changed): fix graph size issue
	when the graph is in its own sheet. [#516]

2020-10-15  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.c (stf_parse_sheet): Don't try to parse entries
	with single quote or equal sign as numbers; use stf_cell_set_text.
	(stf_parse_options_guess_formats): Skip entries with '=' also.

2020-10-12  Morten Welinder  <terra@gnome.org>

	* src/workbook-priv.h: Introspection doesn't like empty structs so
	throw it a bone.

	* src/stf-parse.c (stf_parse_options_guess_csv): Don't get
	confused over quotes in quoted text.  Fixes #537.

2020-10-04  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.c (stf_parse_options_guess_csv): Don't trim
	spaces, see https://tools.ietf.org/html/rfc4180#section-2

	* src/workbook-view.c (workbook_view_save_as): If we don't get a
	modtime from the url, don't try to do anything with in.  Notably
	happens with fd://1

2020-08-12  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2020-08-12  Morten Welinder <terra@gnome.org>

	* Release 1.12.48

2020-08-08  Morten Welinder  <terra@gnome.org>

	* src/print-info.c (gnm_print_info_load_defaults): Don't return a
	value.

2020-07-16  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnm_dialog_setup_destroy_handlers): Fix
	potential 64-bit problem.
	(cb_gnm_dialog_setup_destroy_handlers): Ditto.

2020-07-12  Morten Welinder  <terra@gnome.org>

	* src/sstest.c (test_recalc): New test for dependency tracking.

2020-07-07  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_queue_redraw_range): Ignore requests during
	loading of a file.

2020-07-06  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (bucket_start_row): Improve performance.

2020-07-04  Morten Welinder  <terra@gnome.org>

	* src/workbook.c (workbook_get_sheet_size): When sheets are not
	uniform size, return largest possible.

2020-06-29  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.ac: port to Python3. [#419]

2020-06-27  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (link_unlink_cellrange_dep): Take a GnmRange,
	not a DependencyRange.

2020-06-14  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (merge): Trigger expression sharing for merged
	workbook.

2020-06-12  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_cell): Relax sanity check a bit.
	(xml_sax_cell_content): Fix sanity check for position.  Only the
	relative position matters.  Fixes #497.

2020-06-11  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (merge_single): Also merge document-level
	images.  Fixes #496.

2020-06-04  Morten Welinder  <terra@gnome.org>

	* src/sheet-filter.c (gnm_filter_remove): Remove fields in
	opposite order of how we add them.

	* src/sheet-object.c (sheet_object_set_sheet): Drop return value
	that nobody looks at.

2020-06-04  Morten Welinder  <terra@gnome.org>

	* src/sheet-private.h (_SheetPrivate): Add objects_changed flag
	for updating sheet objects extents.

	* src/sheet-object.c: Don't update sheet object extents right now,
	just set the flag.

	* src/sheet.c (sheet_update_only_grid): Handle objects_changed.

2020-06-03  Morten Welinder  <terra@gnome.org>

	* src/sheet-object.c (sheet_object_view_get_item): New function
	localizing our access to GocGroup::children

2020-05-31  Morten Welinder  <terra@gnome.org>

	* src/sheet-filter.c (gnm_filter_new): New argument attach.  All
	callers changed.

	* src/commands.c (cmd_autofilter_add_remove): Don't
	attach-remove-attach.

	* src/sheet-object.c (cb_create_views): Maintain just one idle
	source to handle view creating for all objects that need it.

2020-05-29  Morten Welinder  <terra@gnome.org>

	* src/expr.c (gnm_expr_top_multiple_as_string): New function.

	* src/graph.c (gnm_go_data_serialize): Use
	gnm_expr_top_multiple_as_string for vectors.
	(gnm_go_data_unserialize): Handle "(1,2)" as "1,2" for vectors
	because we have managed to create files with the former.

2020-05-27  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object.c (sheet_object_set_print_flag): protect
	against a NULL object.

2020-05-09  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2020-05-09  Morten Welinder <terra@gnome.org>

	* Release 1.12.47

2020-05-06  Jean Brefort  <jean.brefort@normalesup.org>

	* component/Gnumeric-embed.xml.in: fix the menus and toolbars.
	* component/gnumeric.c (go_gnm_component_edit): ditto.
	* src/wbc-gtk-actions.c (component_changed_cb): don't lose the
	component before using it.
	* src/wbc-gtk-impl.h:fix the menus and toolbars.
	* src/wbc-gtk.c (set_uifilename), (wbc_gtk_init):  ditto.

2020-05-04  Morten Welinder  <terra@gnome.org>

	* src/sheet-object.c (sheet_object_get_print_flag): New function.

2020-04-29  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (cb_pending_redraw_handler): Do some cheap merging
	of ranges before redrawing.  That should away some degenerate
	cases.
	(sheet_queue_redraw_range): Switch to using array for ranges.

	* src/ssconvert.c (convert): Infer image format from filename for
	object export just as for regular conversion.

2020-04-26  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_clear_region): Fix type of clear_flags.
	(gnm_sheet_finalize): Free the list of pending redraws, just in
	case.

	* src/dependent.c (style_dep_unrender): Queue the redraw instead
	of doing it.

	* src/sheet.c (sheet_redraw_region): We don't need the redraw-all
	hack here.  It's also in sc_redraw_range.
	(sheet_queue_redraw_range): New function for queueing redraws that
	we cannot actually handle happening right now.

2020-04-26  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-component.c (sheet_object_component_new):
	really fix the component reference count issue.
	* src/wbc-gtk-actions.c: ditto.

2020-04-25  Jean Brefort  <jean.brefort@normalesup.org>

	* component/gnumeric.c (go_gnm_component_update_data),
	(go_gnm_component_set_data), (go_gnm_component_render): fix crash when the
	embedded spreadsheet is invalid. [#481]
	* src/sheet-object-component.c (soc_xml_finish),
	(sheet_object_component_new): fix object reference count.

2020-04-24  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (sheet_region_queue_recalc): Fix problem with
	non-cell deps.  See #480.

2020-04-21  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (export_objects_for_sheet): New function
	extracted from do_split_save.

2020-04-20  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (resolve_template): Expand %o to sheet object
	name, if present, or the empty string.

2020-04-19  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (list_image_formats): New function, handling new
	option --list-image-formats.
	(do_split_save): When exporting graphs, sort top-to-bottom,
	left-to-right.

2020-04-13  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-graph.c (gnm_sog_write_image): Fix criticals.

	* src/ssconvert.c (do_split_save): Fix double-free.

2020-04-12  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (clipboard_export): Avoid critical.
	(convert): Avoid critical.

	* src/workbook-view.c (workbook_view_new_from_input): Spell out
	which file we complain over.  See #472.

2020-03-03  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (apply_updates): Move NULL check into here so
	all callers are covered.

2020-02-24  Jean Brefort  <jean.brefort@normalesup.org>

	* src/ssconvert.c (convert): don't crash if ssconvert_set_cells is
	NULL.

2019-11-12  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnm_restore_window_geometry): Something changed
	in Gtk+ in the past decade.  Attach to size-allocate instead of
	unrealize.

2019-11-06  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2019-11-06  Morten Welinder <terra@gnome.org>

	* Release 1.12.46

2019-11-03  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (do_split_save): Extend to create images from
	each graph.  Code adapted from Shlomi Fish code in #410.

	* src/sheet-object.c (sheet_object_write_image): Document.  Add
	preconditions.
	(sheet_object_save_as_image): New function.

2019-11-02  Morten Welinder  <terra@gnome.org>

	* src/gutils.c (gnm_file_saver_common_export_option): Reorganize a
	bit to silence warning.

2019-10-31  Morten Welinder  <terra@gnome.org>

	* src/cell.c (gnm_cell_get_text_for_editing): Avoid excess
	precision when editing percentages.  [#413]

	* src/criteria.c (parse_criteria): Be careful about critiria that
	are either empty values or empty strings.  The semantics are
	special.  [#423]  Fix initial ref-count problem.

2019-09-19  Jean Brefort  <jean.brefort@normalesup.org>

	* src/cell-draw.c (cell_calc_layout): implement wrapping of rotated text.
	Fixes #394.

2019-09-16  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_vector_get_str): load strings from arrays.
	Fixes #416.

2019-06-27  Morten Welinder  <terra@gnome.org>

	* src/clipboard.c (cellregion_invalidate_sheet): Also invalidate
	conditional formats that reference the sheet.

2019-06-20  Morten Welinder  <terra@gnome.org>

	* configure.ac (lgamma_r): Check if we must prototype lgamma_r
	ourselves.  Fixes #402.
	* src/numbers.h: Do so, if needed.

2019-06-09  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.c (stf_parse_options_guess_formats): If we cannot
	choose between decimal comma and decimal point, but have seen only
	one then assume it is a decimal separator.
	(do_check_date): Reject date unless guessed format has all three
	of year, month, and day.  [#401]

2019-05-22  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2019-05-20  Morten Welinder <terra@gnome.org>

	* Release 1.12.45

2019-04-09  Morten Welinder  <terra@gnome.org>

	* src/gutils.c (gnm_file_saver_common_export_option): Allow option
	"active-sheet=" to select the active sheet.

	* src/stf-parse.c (stf_parse_options_guess_csv): Avoid guessing
	insane separators.  Fixes #397.

2019-01-15  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (gnm_lambert_w): Avoid static for something that
	formally isn't a compile-time constant.  [#378]

2018-11-24  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2018-11-24  Morten Welinder <terra@gnome.org>

	* Release 1.12.44

2018-11-18  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (gnm_agm): Short-circuit the a==b case early.  We
	only need it for +inf, but it's valid and meaningful for all values.

2018-11-17  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnm_create_popup_menu): Use a
	GtkSeparatorMenuItem instead of an empty item.

	* src/func.c (gnm_func_set_varargs): Correctly signal a vararg
	function by setting max arguments to maxint.

2018-11-16  Morten Welinder  <terra@gnome.org>

	* src/commands.c (get_new_objects): unref the unaffected objects.

2018-10-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gui-util.c (gnm_get_link_color): make conditional on definition
	of GTK_STATE_FLAG_LINK

2018-10-13  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (workbook_recalc): Evaluate cells before other
	deps.

	* src/style-conditions.c (gnm_style_conditions_eval): Copy the
	cell value; it may change due to recalc.

2018-10-04  Morten Welinder  <terra@gnome.org>

	* src/sheet-filter.c (gnm_sheet_filter_insdel_colrow): Shorten
	filter if it would otherwise go beyond the end of the sheet.
	Fixes #359.

2018-10-02  Morten Welinder  <terra@gnome.org>

	* src/sheet-view.c (sv_real_dispose): Fix typo.

2018-10-01  Morten Welinder  <terra@gnome.org>

	* src/workbook-view.c (wb_view_set_property): Fix setting of
	auto-func.  [#357]

2018-08-19  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2018-08-19  Morten Welinder <terra@gnome.org>

	* Release 1.12.43

2018-08-09  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2018-08-09  Morten Welinder <terra@gnome.org>

	* Release 1.12.42

2018-07-12  Morten Welinder  <terra@gnome.org>

	* src/mstyle.c (gnm_style_get_cond_style): Update the cached
	styles as needed.  Fixes #343.

2018-06-08  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (gnm_cellregion_to_xml): Impose ordering on
	cells.

2018-05-22  Morten Welinder  <terra@gnome.org>

	* Test commit after migration.

2018-05-13  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c: i18n fixes.

2018-05-10  Morten Welinder  <terra@gnome.org>

	* configure.ac (LIBS): Clear out obsolete pango check.

2018-05-07  Morten Welinder  <terra@gnome.org>

	* src/gnm-pane.c (gnm_pane_key_mode_sheet): Plug leaks.

2018-05-07  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2018-05-07  Morten Welinder <terra@gnome.org>

	* Release 1.12.41

2018-05-07  Morten Welinder  <terra@gnome.org>

	* src/rendered-value.c (gnm_rendered_value_new): When auto-fitting
	a column, request no more room than for 15 significant digits.
	Fixes #754391.  You can still get the maximum precision by
	widening the column.

	* src/wbc-gtk.c (wbc_gtk_init): Use a resource for the default ui
	definition.
	(wbcg_auto_expr_value_changed): Limit the width of numbers
	formatted as General to something independent of function name.
	This avoids the 10.10000...002 situation unless maximum precision
	is requested.

2018-05-06  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_area_set_array_expr): The clipboard now
	takes care of restoring row heights and column widths.
	(cmd_paste_copy_impl): After the initial "do", always restore
	column widths and row heights.

2018-05-04  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (toolbar_context_menu): Use a proper separator
	menu item.

2018-05-03  Morten Welinder  <terra@gnome.org>

	* src/commands.c (get_new_objects): Change from transfer-container
	to transfer-full.  Otherwise a deleted object can shadow a new
	one.  (Never observed.)

2018-04-30  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbc_gtk_reload_recent_file_menu): Make full
	history item insensitive if we have to history.

2018-04-29  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2018-04-29  Morten Welinder <terra@gnome.org>

	* Release 1.12.40

2018-04-26  Morten Welinder  <terra@gnome.org>

	* src/colrow.c (col_row_collection_foreach): move to...
	* src/sheet.c (sheet_colrow_foreach): ...here.  Allow -1 to mean
	last column or row.
	(sheet_foreach_cell_in_range): Change to take a range.
	(sheet_foreach_cell_in_region): Preserve the old
	sheet_foreach_cell_in_range api.  Most callers changed.  Allow -1
	to mean last column or row.

2018-04-25  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_cell_content): Read shared array
	expressions as we used to, but immediately unshare.  I had an old
	file with such a thing and it not supposed to happen.  That
	formula would likely have been created in early 2007.

2018-04-24  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_paste_copy_impl): Simplify now that
	clipboard handles colrow sizes.

2018-04-21  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-image.c (gnm_soi_write_image): If the format
	doesn't match what is requested, convert.

2018-04-20  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (merge_single): Avoid a
	hash-changed-while-iterating problem.  [#795408]

	* src/xml-sax-write.c (xml_write_cell_and_position): In the
	clipboard case, write result values too.

	* src/xml-sax-read.c (xml_sax_cell_content): Rework this rat's
	nest of conditionals.  Accept values for expressions.

2018-04-18  Morten Welinder  <terra@gnome.org>

	* src/mstyle.c (gnm_style_get_cond_style): Flip reversed
	pre-condition.

	* src/gui-clipboard.c (gnm_x_claim_clipboard): Offer biff8,
	including LO's weird name for that.  The don't seem to take
	"Biff8" and they don't seem to take Citrix' variant either.

2018-04-16  Morten Welinder  <terra@gnome.org>

	* src/gui-clipboard.c (gnm_x_claim_clipboard): Plug leak.  Debug
	improvements.
	(table_cellregion_read): Improve paste-range heuristic for
	clipboard formats that lack that information, notably
	LibreOffice's.

	* src/workbook-view.c (get_uri_modtime): Fix criticals on paste
	from LibreOffice.  (Which sends a zipfile over the clipboard.)

2018-04-14  Morten Welinder  <terra@gnome.org>

	* src/func.c (gnm_func_count_args): Rename from
	function_def_count_args for introspection.
	(gnm_func_get_arg_type): Rename from function_def_get_arg_type
	for introspection.
	(gnm_func_get_arg_type_sring): Rename from
	function_def_get_arg_type_string for introspection.

	* src/workbook-view.c (workbook_view_save_as): Rename from
	wb_view_save_as for introspection.
	(workbook_view_save): Rename from wb_view_save for introspection.

2018-04-13  Morten Welinder  <terra@gnome.org>

	* src/workbook-view.c (workbook_view_save_to_uri): Renamed from
	wb_view_save_to_uri for introspection.
	(workbook_view_save_to_output): Renamed from
	wb_view_save_to_output for introspection.

	* src/style-color.c (gnm_style_color_get_type): Duplicate of
	gnm_color_get_type, more or less.

	* src/validation.c (gnm_validation_ref): Must return a value to be
	used as a boxed copy function.

	* src/expr.c (gnm_expr_top_ref): Must return a value to be used
	as a boxed copy function.

	* src/expr-name.c (expr_name_ref): Must return a value to be used
	as a boxed copy function.

	* src/mstyle.c (gnm_style_ref): Must return a value to be used
	as a boxed copy function.

	* src/clipboard.c (cellregion_ref): Must return a value to be used
	as a boxed copy function.

	* src/criteria.c (gnm_criteria_unref): Rename from free_criteria.

	* src/mstyle.c: Hide internals.
	src/gnm-style-impl.h: Remove.

	* src/cell.c (gnm_cell_set_format): Remove.  Unused and badly
	named.

2018-04-12  Morten Welinder  <terra@gnome.org>

	* src/sheet-merge.c (gnm_sheet_merge_remove): Drop unused command
	context argument.  All callers changed.

2018-04-11  Morten Welinder  <terra@gnome.org>

	* src/workbook.c: Make Workbook a more proper object by adding a
	constructor to setup the object correctly.  Introspection fixes.

	(workbook_view_class_init): Make this a more proper object by
	adding a constructor and init function to setup the object
	correctly.

2018-04-11  Morten Welinder  <terra@gnome.org>

	* src/workbook-view.c: Introspection fixes, mostly from Dean
	McCarron.
	src/workbook-control.c: Ditto.
	src/wbc-gtk.c: Ditto.

2018-03-25  Morten Welinder  <terra@gnome.org>

	* src/workbook.c (workbook_set_last_export_uri): Constify
	argument.  Callers fixed.

2018-03-23  Morten Welinder  <terra@gnome.org>

	* src/main-application.c (cpu_sanity_check): New function.

2018-03-13  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2018-03-13  Morten Welinder <terra@gnome.org>

	* Release 1.12.39

2018-01-17  Morten Welinder  <terra@gnome.org>

	* src/sstest.c (function_dump_defs): Drop internal function TABLE
	as well as demo function ATL_LAST.

2018-01-11  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (scg_scrollbar_config_real): Be careful
	not to trigger an update storm when nothing changes.  Fixes
	#792417.

2018-01-01  Morten Welinder  <terra@gnome.org>

	* src/expr.c (gnm_expr_simplify_if): Remove non-working,
	non-reachable code relating to true() and false() conditions.

2017-12-30  Morten Welinder  <terra@gnome.org>

	* src/expr.c (gnm_expr_top_get_array_corner): Remove.  All callers
	changed.
	(gnm_expr_top_get_array_size, gnm_expr_top_get_array_value)
	(gnm_expr_top_get_array_expr): New functions.

	* src/cell.c (gnm_cell_is_array_corner): Remove.  All callers
	changed.

2017-12-29  Morten Welinder  <terra@gnome.org>

	* src/ssdiff.c (diff_names): Fix checks for inserted or removed
	name.  #792038.

2017-12-28  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2017-12-28  Morten Welinder <terra@gnome.org>

	* Release 1.12.38

2017-12-25  Morten Welinder  <terra@gnome.org>

	* src/gnm-plugin.c: Avoid using "textdomain" as a variable.
	* src/func-builtin.c (func_builtin_init): Ditto.

2017-12-23  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.c (stf_parse_sheet): Fix crash on text important.

2017-12-04  Morten Welinder  <terra@gnome.org>

	* src/ssdiff.c (GnmDiffState): Store old_sheet and new_sheet here
	instead of passing them all over the place.
	(diff): Compare names too.

2017-12-03  Morten Welinder  <terra@gnome.org>

